diff --git a/coders/png.c b/coders/png.c
index dfae89d27a..fd93939906 100644
--- a/coders/png.c
+++ b/coders/png.c
@@ -2261,7 +2261,7 @@ static Image *ReadOnePNGImage(MngInfo *mng_info,
       if (image != (Image *) NULL)
         {
           InheritException(exception,&image->exception);
-          image=DestroyImage(image);
+          image=DestroyImageList(image);
         }
       return(image);
     }
